# Uses of Enum
org.apache.avro.ipc.HandshakeMatch

Packages that use HandshakeMatch
Package
Description
org.apache.avro.ipc
Support for inter-process calls.

## Uses of HandshakeMatch in org.apache.avro.ipc

Methods in org.apache.avro.ipc that return HandshakeMatch
Modifier and Type
Method
Description
`HandshakeMatch`
HandshakeResponse.Builder.`getMatch()`
Gets the value of the 'match' field.
`HandshakeMatch`
HandshakeResponse.`getMatch()`
Gets the value of the 'match' field.
`static HandshakeMatch`
HandshakeMatch.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HandshakeMatch[]`
HandshakeMatch.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.avro.ipc that return types with arguments of type HandshakeMatch
Modifier and Type
Method
Description
`Optional<HandshakeMatch>`
HandshakeResponse.Builder.`getOptionalMatch()`
Gets the value of the 'match' field as an Optional<org.apache.avro.ipc.HandshakeMatch>.
`Optional<HandshakeMatch>`
HandshakeResponse.`getOptionalMatch()`
Gets the value of the 'match' field as an Optional<org.apache.avro.ipc.HandshakeMatch>.
Methods in org.apache.avro.ipc with parameters of type HandshakeMatch
Modifier and Type
Method
Description
`HandshakeResponse.Builder`
HandshakeResponse.Builder.`setMatch(HandshakeMatch value)`
Sets the value of the 'match' field.
`void`
HandshakeResponse.`setMatch(HandshakeMatch value)`
Sets the value of the 'match' field.
Constructors in org.apache.avro.ipc with parameters of type HandshakeMatch
Modifier
Constructor
Description
``
`HandshakeResponse(HandshakeMatch match, String serverProtocol, MD5 serverHash, Map<String,ByteBuffer> meta)`
All-args constructor.